#!/bin/bash
#
# Copyright 2013 by guy maurel
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# 8 november 2013
#
#set -x
# where you have store the script and the awk-program
DIR="/home/guy-kde/Software/coding-style-check/"
#DIR="/usr/local/coding-style-check/"
#
numberOfParameter=$#
if [ $numberOfParameter -ne 3 ] ;
then
  echo "Parameter is missing"
  exit
fi
#
WHERE=${3}
#
if [ ${2} == "star" ] ;
then
  gawk -f ${DIR}/SpaceAfter-check.awk --assign keyword="${1}" --assign theNext="*" < ${WHERE} > coding-style-Space.tmp
else
  gawk -f ${DIR}/SpaceAfter-check.awk --assign keyword="${1}" --assign theNext="${2}" < ${WHERE} > coding-style-Space.tmp
fi
if [ -s coding-style-Space.tmp ] ;
then
  echo "check the file "`pwd`/${WHERE}
  cat coding-style-Space.tmp
  echo ""
fi
rm coding-style-Space.tmp
